function replyClick() {
  try {
    console.log("replyClick  >>");
  } catch (error) {
    console.error("replyClick Err >>", error);
  }
}

function forwardClick() {
  try {
    console.log("forwardClick  >>");
  } catch (error) {
    console.error("forwardClick Err >>", error);
  }
}

function conversationForward() {
  try {
    console.log("conversationForward  >>");
  } catch (error) {
    console.error("conversationForward Err >>", error);
  }
}

function forward() {
  try {
    console.log("forward  >>");
  } catch (error) {
    console.error("forward Err >>", error);
  }
}

async function renderApp() {
  const onInit = await app.initialized();

  window.client = onInit;
  console.log(">>>>>>>>>>>>>>>>>>>>");
  console.log(await client.data.get("domainName"));

  console.log("Click events:>", client);

  // client.events.on("ticket.replyClick", replyClick);
  // client.events.on("ticket.forwardClick", forwardClick);
  // client.events.on("ticket.conversationForward", conversationForward);
  // client.events.on("ticket.forward", forward);

  client.events.on("ticket.replyClick", () => {
    console.log("replyClick");

    client.interface.trigger("show", {
      id: "attachmentsDelete",
    });
  });
  client.events.on("ticket.forwardClick", () => {
    console.log("forwardClick");

    client.interface.trigger("hideElement", {
      id: "attachmentsDelete",
    });
  });
  client.events.on("ticket.conversationForward", () => {
    console.log("conversationForward");

    client.interface.trigger("hide", {
      id: "attachmentsDelete",
    });
  });
  client.events.on("ticket.forward", () => {
    console.log("forward");
  });
}

document.onreadystatechange = function () {
  renderApp();
};
